<li class="li-padding" [ngClass]="{'list-group-item list-group-item-success': getColor() === 'green' ,
   'list-group-item list-group-item-danger': getColor() === 'red',
  'list-group-item-light': getColor() === 'white' }">
  <div class="container">
    <div class="row">
      <div class="col-xs-12 col-md-8" >
        <h2>{{post.title}}</h2>
      </div>
      <div class="col-xs-6 col-md-4">
        <h3>{{post.created_at | date: 'short'}}</h3>
      </div>
    </div>
  </div>
  <div>
    <p>{{post.content}}</p>
  </div>
  <div>
    <button class="btn btn-success btn_spacing" (click)="onLike()">Like</button>
    <button  class="btn btn-danger btn_spacing" (click)="onDislike()">Don't Like</button>

  </div>
</li>